diff --git a/changelog b/changelog
index c0df1e5..2a04732 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090405 tpd src/axiom-website/patches.html 20090405.02.tpd.patch
+20090405 tpd src/axiom-website/index.html Axiom on Windows as html
 20090405 tpd src/axiom-website/patches.html 20090405.01.tpd.patch
 20090405 tpd src/axiom-website/index.html Axiom on Windows instructions
 20090404 tpd src/axiom-website/patches.html 20090404.02.tpd.patch
diff --git a/src/axiom-website/index.html b/src/axiom-website/index.html
index 0e140dd..f25b84b 100644
--- a/src/axiom-website/index.html
+++ b/src/axiom-website/index.html
@@ -99,46 +99,86 @@ get a copy of Axiom (Step B), set up ubuntu (Step C), set up
 the minor details (Step D, E), and start Axiom (Step F).
 
 The steps are very simple and are laid out in detail here:
-<pre>
-
-A) set up an X server on windows:
- 1) visit http://gears.aset.psu.edu/hpc/guies/xming
- 2) download Xming
- 3) install it in windows
- 4) launch it
-
-B) download axiom ubuntu image
- 1) http://axiom-developer.org/axiom-website/downloads.html
- 2) download ubuntu as axiom-ubuntu-nov2008-bin.tgz
- 3) move axiom tgz image to C:\
-
-C) set up Portable_Ubuntu on windows
- 1) visit http://lifehacker.com/5195999/portable-ubuntu-runs-ubuntu-inside-windows
- 2) download Portable_Ubuntu
- 3) install it (it created c:\Portable_Ubuntu directory)
- 4) cd Portable_Ubuntu
- 5) run_portable_ubuntu (it is a bat file)
-
-D) enable root access
- 1) in the ubuntu menu bar Applications->Accessories->Terminal
- 2) sudo passwd root (the default root password is 123456)
+<ol>
+ <li> set up an X server on windows:</li>
+  <ol>
+   <li> visit <a href="http://gears.aset.psu.edu/hpc/guides/xming">
+                 http://gears.aset.psu.edu/hpc/guides/xming</a>
+   </li>
+   <li> download Xming</li>
+   <li> install it in windows</li>
+   <li> launch it</li>
+  </ol>
+ <li> download axiom ubuntu image</li>
+  <ol>
+   <li> visit 
+     <a href="http://axiom-developer.org/axiom-website/download.html">
+        http://axiom-developer.org/axiom-website/downloads.html</a>
+   </li>
+   <li> download 
+     <a href="http://axiom-developer.org/axiom-website/downloads/axiom-ubuntu-nov2008-bin.tgz">
+        ubuntu as axiom-ubuntu-nov2008-bin.tgz</a>
+   </li>
+   <li> save axiom tgz image to C:\</li>
+  </ol>
+ <li> set up Portable_Ubuntu on windows</li>
+  <ol>
+   <li> download 
+<a href="http://downloads.sourceforge.net/portableubuntu/Portable_Ubuntu.exe">
+       Portable_Ubuntu</a>
+   </li>
+   <li> run the exe to install it (it created c:\Portable_Ubuntu directory)
+   </li>
+   <li> cd Portable_Ubuntu</li>
+   <li> run_portable_ubuntu (it is a bat file)</li>
+  </ol>
+ <li> enable root access in ubuntu</li>
+  <ol>
+   <li> in the ubuntu menu bar Applications->Accessories->Terminal</li>
+   <li> sudo passwd root (the default root password is 123456)</li>
+   <li> choose and set a new password</li>
+  </ol>
+ <li> find your window IP address</li>
+  <ol>
+   <li> open a windows cmd window (Start->Accessories->Command Prompt)</li>
+   <li> type ipconfig</li>
+   <li> write down your IP address (e.g. 192.168.1.105) </li>
+  </ol>
+ <li> install axiom into /etc (the only place with room in my install)</li>
+  <ol>
+   <li> su -   (become root in ubunut)</li>
+   <li> cd /etc</li>
+   <li> tar -zxf /mnt/C/axiom-ubuntu-nov2008-bin.tgz</li>
+  </ol>
+ <li> test starting axiom</li>
+  <ol>
+   <li> cd axiom</li>
+   <li> export DISPLAY=192.168.1.105:0.0 </li>
+   <li> export AXIOM=`pwd`/mnt/ubuntu</li>
+   <li> export PATH=$AXIOM/bin:$PATH</li>
+   <li> axiom</li>
+  </ol>
+ </ol>
 
-E) find your window IP address
- 0) open a windows cmd window
- 1) type ipconfig
- 2) write down your IP address (e.g. 192.168.1.105) 
+Now you can start Axiom anytime. Most of these steps can be put into
+shell scripts on Ubuntu and bat files in Windows.
+ <ol>
+  <li> launch Xming (if you don't plan to draw or use hyperdoc, skip this)
+  <li> cd Portable_Ubuntu
+  <li> run_portable_ubuntu
+  <li> cd /etc/axiom
+  <li> export DISPLAY=192.168.1.105:0.0 
+  <li> export AXIOM=`pwd`/mnt/ubuntu
+  <li> export PATH=$AXIOM/bin:$PATH
+  <li> axiom
+ </ol>
 
-F) install axiom into /etc (the only place with room in my install)
- 0) su -
- 1) cd /etc
- 2) tar -zxf /mnt/C/axiom-ubuntu-nov2008-bin.tgz
- 3) cd axiom
- 4) export DISPLAY=192.168.1.105:0.0 
- 5) export AXIOM=`pwd`/mnt/ubuntu
- 6) export PATH=$AXIOM/bin:$PATH
- 7) axiom
-</pre>
+  <hr>
+<h1>Axiom on Other Systems:</h1>
 
+Axiom runs on many other systems. Visit the 
+<a href="http://axiom-developer.org/axiom-website/download.html">download</a>
+link to see available binary and source distributions.
   <hr>
 <h2>DOCUMENTATION:</h2>
 <ul>
@@ -159,6 +199,10 @@ F) install axiom into /etc (the only place with room in my install)
  <li>Literate Documents
   <ul>
    <li>
+<a href="http://axiom-developer.org/axiom-website/documentation.html">
+ documentation</a>
+   </li>
+   <li>
     <a href="axiom-website/dhmatrix.spad.pdf">dhmatrix.spad.pdf</a>
    </li>
   </ul>
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4a16a91..faaa6d8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1048,5 +1048,7 @@ bookvol0 fix cross references<br/>
 bookvol0 document additional domains<br/>
 <a href="patches/20090405.01.tpd.patch">20090405.01.tpd.patch</a>
 index.html Axiom on Windows instructions<br/>
+<a href="patches/20090405.02.tpd.patch">20090405.02.tpd.patch</a>
+index.html Axiom on Windows as html<br/>
  </body>
 </html>
